Get organizations
curl --request GET \
--url https://studio.edgeimpulse.com/v1/api/users/{userId}/organizations \
--header 'x-api-key: <api-key>'import requests
url = "https://studio.edgeimpulse.com/v1/api/users/{userId}/organizations"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://studio.edgeimpulse.com/v1/api/users/{userId}/organizations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"organizations": [
{
"id": 123,
"name": "<string>",
"showHeaderImgMask": true,
"users": [
{
"id": 1,
"username": "janjongboom",
"name": "Jan Jongboom",
"email": "quijote@edgeimpulse.com",
"created": "2019-08-31T17:32:28Z",
"staffInfo": {
"isStaff": true,
"hasSudoRights": true,
"companyName": "<string>"
},
"pending": true,
"activated": true,
"mfaConfigured": true,
"added": "2019-08-31T17:32:28Z",
"projectCount": 123,
"datasets": [
"<string>"
],
"photo": "https://usercdn.edgeimpulse.com/photos/1.jpg",
"lastSeen": "2019-08-31T17:32:28Z",
"jobTitle": "Software Engineer",
"permissions": [],
"companyName": "Edge Impulse Inc.",
"stripeCustomerId": "<string>",
"hasPendingPayments": true,
"idps": [
"<string>"
],
"lastAccessToOrganization": "2023-11-07T05:31:56Z",
"lastOrganizationProjectAccessed": 123
}
],
"isDeveloperProfile": true,
"whitelabelId": 123,
"trialId": 123,
"trialExpiredDate": "2023-11-07T05:31:56Z",
"trialUpgradedDate": "2023-11-07T05:31:56Z",
"created": "2023-11-07T05:31:56Z",
"logo": "https://usercdn.edgeimpulse.com/logos/1.jpg",
"headerImg": "https://usercdn.edgeimpulse.com/leaders/1.jpg",
"whitelabelName": "<string>",
"projects": [
{
"id": 1,
"name": "Water hammer detection",
"description": "<string>",
"created": "2019-07-21T17:32:28Z",
"owner": "<string>",
"ownerIsDeveloperProfile": true,
"collaborators": [
{
"id": 1,
"username": "janjongboom",
"name": "Jan Jongboom",
"email": "quijote@edgeimpulse.com",
"created": "2019-08-31T17:32:28Z",
"staffInfo": {
"isStaff": true,
"hasSudoRights": true,
"companyName": "<string>"
},
"pending": true,
"activated": true,
"mfaConfigured": true,
"isOwner": true,
"photo": "https://usercdn.edgeimpulse.com/photos/1.jpg",
"lastSeen": "2019-08-31T17:32:28Z",
"jobTitle": "Software Engineer",
"permissions": [],
"companyName": "Edge Impulse Inc.",
"stripeCustomerId": "<string>",
"hasPendingPayments": true,
"idps": [
"<string>"
]
}
],
"metadata": {},
"isEnterpriseProject": true,
"whitelabelId": 123,
"hasPublicVersion": true,
"isPublic": true,
"allowsLivePublicAccess": true,
"indPauseProcessingSamples": true,
"publicProjectListed": true,
"lastAccessed": "2019-07-21T17:32:28Z",
"lastModified": "2019-07-21T17:32:28Z",
"lastModificationDetails": "Data sample added",
"logo": "<string>",
"ownerUserId": 123,
"ownerOrganizationId": 123,
"ownerAvatar": "<string>",
"developerProfileUserId": 123,
"dataExplorerScreenshot": "<string>",
"whitelabelName": "<string>",
"tags": [
"FOMO",
"beers"
],
"deletedDate": "2023-11-07T05:31:56Z",
"fullDeletionDate": "2023-11-07T05:31:56Z",
"scheduledFullDeletionDate": "2023-11-07T05:31:56Z"
}
],
"contractStartDate": "2023-11-07T05:31:56Z",
"deletedDate": "2023-11-07T05:31:56Z"
}
],
"error": "<string>"
}Get organizations
List all organizations for a user. This function is only available through a JWT token.
GET
/
api
/
users
/
{userId}
/
organizations
Get organizations
Authorizations
ApiKeyAuthenticationJWTAuthenticationJWTHttpHeaderAuthenticationOAuth2
Path Parameters
User ID
Was this page helpful?
⌘I